SELECT Код_защитного_кольца INTO #TmpTable FROM Справочник_защитных_колец
SET IDENTITY_INSERT Справочник_защитных_колец ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_защитного_кольца = 1) INSERT INTO Справочник_защитных_колец (Код_защитного_кольца,Описание,Диаметр) VALUES (1,'НКЗ-1-1А',750)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_защитного_кольца = 2) INSERT INTO Справочник_защитных_колец (Код_защитного_кольца,Описание,Диаметр) VALUES (2,'НКЗ-1-1Б',750)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_защитного_кольца = 3) INSERT INTO Справочник_защитных_колец (Код_защитного_кольца,Описание,Диаметр) VALUES (3,'НКЗ-1-1В',750)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_защитного_кольца = 4) INSERT INTO Справочник_защитных_колец (Код_защитного_кольца,Описание,Диаметр) VALUES (4,'НКЗ-2/4-1',750)

SET IDENTITY_INSERT Справочник_защитных_колец OFF
DROP TABLE #TmpTable
